Test
All operations require authentication, except the 5 marked Public.
Get an eligibility testProductionPublic
Returns the result of an eligibility test from its reference: the tested endpoint (address, copper or fiber details, portability) and the offers with their eligibility, estimated rates and reasons when not eligible.
Query parameters
Eligibility reference
Response
Eligibility unique reference
Endpoint information
Offers information
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ connectivity/ eligibility/ test{ "eligibilityReference": "string", "endpoint": { "address": { "building": "string", "city": "string", "door": "string", "floor": "string", "housingComplex": "string", "inseeCode": "string", "ownerName": "string", "stairs": "string", "streetCode": "string", "streetName": "string", "streetNumber": "string", "zipCode": "string" }, "copperInfo": { "availablePairs": 0, "maxAvailablePairs": 0, "nra": "string", "sectionsLengths": [ { "diameter": 0, "length": 0 } ], "status": "active", "underConstruction": true, "unlistedNumber": true }, "fiberInfo": { "buildingName": "string", "buildingReference": "string", "buildingType": "BUILDING", "latitude": "string", "longitude": "string", "nro": "string", "operatorCode": "string", "operatorName": "string", "pmReference": "string" }, "portability": { "eligibility": { "eligible": true, "reasons": [ { "availabilityDate": "2024-01-01T12:00:00Z", "code": "2006", "message": "string" } ], "underConditions": [ { "availabilityDate": "2024-01-01T12:00:00Z", "code": "2006", "message": "string" } ] }, "quarantineEndDate": "2024-01-01T12:00:00Z", "type": "portin" }, "reference": "string", "referenceType": "address" }, "offers": [ { "eligibility": { "activationTypes": [ "activate" ], "eligible": true, "estimatedDownloadRate": 0, "estimatedUploadRate": 0, "multiOtp": true, "reasons": [ { "availabilityDate": "2024-01-01T12:00:00Z", "code": "2006", "message": "string" } ], "underConditions": [ { "availabilityDate": "2024-01-01T12:00:00Z", "code": "2006", "message": "string" } ] }, "product": { "code": "string", "downloadRate": 0, "grt": [ "string" ], "guaranteed": true, "name": "string", "operator": "string", "pairs": 0, "provider": "string", "type": "ADSL", "unbundlingType": "full", "uploadRate": 0 } } ]}
Test the eligibility of an addressProductionPublic
Starts an eligibility test on an address, given by its street code and street number or by its Hexacle. Get them with the search/streets and search/streetNumbers/details calls. Returns an asynchronous task, pending until its result holds the eligibility reference, the endpoint and the eligible offers.
Request body (required)
A Hexacle is a French unique identifier of the address
Product family to scope eligibility (defaults to ISP)
ISPOCCA possible alternative identifier of the street (you can get it with POST /connectivity/eligibility/search/streets)
Unique identifier of the street (you can get it with POST /connectivity/eligibility/search/streets)
Street number
Response
Eligibility test results
AsyncTask status
errorokpendingPublic: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ connectivity/ eligibility/ test/ address{ "error": "string", "result": { "eligibilityReference": "string", "endpoint": { "address": { "building": "string", "city": "string", "door": "string", "floor": "string", "housingComplex": "string", "inseeCode": "string", "ownerName": "string", "stairs": "string", "streetCode": "string", "streetName": "string", "streetNumber": "string", "zipCode": "string" }, "copperInfo": { "availablePairs": 0, "maxAvailablePairs": 0, "nra": "string", "sectionsLengths": [ { "diameter": 0, "length": 0 } ], "status": "active", "underConstruction": true, "unlistedNumber": true }, "fiberInfo": { "buildingName": "string", "buildingReference": "string", "buildingType": "BUILDING", "latitude": "string", "longitude": "string", "nro": "string", "operatorCode": "string", "operatorName": "string", "pmReference": "string" }, "portability": { "eligibility": { "eligible": true, "reasons": [ { "availabilityDate": null, "code": null, "message": null } ], "underConditions": [ { "availabilityDate": null, "code": null, "message": null } ] }, "quarantineEndDate": "2024-01-01T12:00:00Z", "type": "portin" }, "reference": "string", "referenceType": "address" }, "offers": [ { "eligibility": { "activationTypes": [ "activate" ], "eligible": true, "estimatedDownloadRate": 0, "estimatedUploadRate": 0, "multiOtp": true, "reasons": [ { "availabilityDate": null, "code": null, "message": null } ], "underConditions": [ { "availabilityDate": null, "code": null, "message": null } ] }, "product": { "code": "string", "downloadRate": 0, "grt": [ "string" ], "guaranteed": true, "name": "string", "operator": "string", "pairs": 0, "provider": "string", "type": "ADSL", "unbundlingType": "full", "uploadRate": 0 } } ] }, "status": "error"}
Test the eligibility of an address for a partnerProduction
Starts an eligibility test on an address, given by its street code and street number or by its Hexacle. Reserved for partners. Returns an asynchronous task, pending until its result holds the eligibility reference, the endpoint and the eligible offers.
Request body (required)
A Hexacle is a French unique identifier of the address
Product family to scope eligibility (defaults to ISP)
ISPOCCA possible alternative identifier of the street (you can get it with POST /connectivity/eligibility/search/streets)
Unique identifier of the street (you can get it with POST /connectivity/eligibility/search/streets)
Street number
Response
Eligibility test results
AsyncTask status
errorokpendingReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ connectivity/ eligibility/ test/ address/ partners \
-H "authorization: Bearer $OVH_TOKEN"{ "error": "string", "result": { "eligibilityReference": "string", "endpoint": { "address": { "building": "string", "city": "string", "door": "string", "floor": "string", "housingComplex": "string", "inseeCode": "string", "ownerName": "string", "stairs": "string", "streetCode": "string", "streetName": "string", "streetNumber": "string", "zipCode": "string" }, "copperInfo": { "availablePairs": 0, "maxAvailablePairs": 0, "nra": "string", "sectionsLengths": [ { "diameter": 0, "length": 0 } ], "status": "active", "underConstruction": true, "unlistedNumber": true }, "fiberInfo": { "buildingName": "string", "buildingReference": "string", "buildingType": "BUILDING", "latitude": "string", "longitude": "string", "nro": "string", "operatorCode": "string", "operatorName": "string", "pmReference": "string" }, "portability": { "eligibility": { "eligible": true, "reasons": [ { "availabilityDate": null, "code": null, "message": null } ], "underConditions": [ { "availabilityDate": null, "code": null, "message": null } ] }, "quarantineEndDate": "2024-01-01T12:00:00Z", "type": "portin" }, "reference": "string", "referenceType": "address" }, "offers": [ { "eligibility": { "activationTypes": [ "activate" ], "eligible": true, "estimatedDownloadRate": 0, "estimatedUploadRate": 0, "multiOtp": true, "reasons": [ { "availabilityDate": null, "code": null, "message": null } ], "underConditions": [ { "availabilityDate": null, "code": null, "message": null } ] }, "product": { "code": "string", "downloadRate": 0, "grt": [ "string" ], "guaranteed": true, "name": "string", "operator": "string", "pairs": 0, "provider": "string", "type": "ADSL", "unbundlingType": "full", "uploadRate": 0 } } ] }, "status": "error"}
Test the eligibility of a buildingProductionPublic
Starts an eligibility test on a building, for fiber only. Get the building identifier with the search/buildings calls. Set productFamily to scope the test (ISP by default). Returns an asynchronous task, pending until its result holds the eligibility reference, the endpoint and the eligible offers.
Request body (required)
Building identifier, that can be found using /connectivity/eligibility/search/building* methods
Product family to scope eligibility (defaults to ISP)
ISPOCCResponse
Eligibility test results
AsyncTask status
errorokpendingPublic: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ connectivity/ eligibility/ test/ building{ "error": "string", "result": { "eligibilityReference": "string", "endpoint": { "address": { "building": "string", "city": "string", "door": "string", "floor": "string", "housingComplex": "string", "inseeCode": "string", "ownerName": "string", "stairs": "string", "streetCode": "string", "streetName": "string", "streetNumber": "string", "zipCode": "string" }, "copperInfo": { "availablePairs": 0, "maxAvailablePairs": 0, "nra": "string", "sectionsLengths": [ { "diameter": 0, "length": 0 } ], "status": "active", "underConstruction": true, "unlistedNumber": true }, "fiberInfo": { "buildingName": "string", "buildingReference": "string", "buildingType": "BUILDING", "latitude": "string", "longitude": "string", "nro": "string", "operatorCode": "string", "operatorName": "string", "pmReference": "string" }, "portability": { "eligibility": { "eligible": true, "reasons": [ { "availabilityDate": null, "code": null, "message": null } ], "underConditions": [ { "availabilityDate": null, "code": null, "message": null } ] }, "quarantineEndDate": "2024-01-01T12:00:00Z", "type": "portin" }, "reference": "string", "referenceType": "address" }, "offers": [ { "eligibility": { "activationTypes": [ "activate" ], "eligible": true, "estimatedDownloadRate": 0, "estimatedUploadRate": 0, "multiOtp": true, "reasons": [ { "availabilityDate": null, "code": null, "message": null } ], "underConditions": [ { "availabilityDate": null, "code": null, "message": null } ] }, "product": { "code": "string", "downloadRate": 0, "grt": [ "string" ], "guaranteed": true, "name": "string", "operator": "string", "pairs": 0, "provider": "string", "type": "ADSL", "unbundlingType": "full", "uploadRate": 0 } } ] }, "status": "error"}
Test the eligibility of a building for a partnerProduction
Starts an eligibility test on a building, for fiber only. Reserved for partners. Get the building identifier with the search/buildings calls. Returns an asynchronous task, pending until its result holds the eligibility reference, the endpoint and the eligible offers.
Request body (required)
Building identifier, that can be found using /connectivity/eligibility/search/building* methods
Product family to scope eligibility (defaults to ISP)
ISPOCCResponse
Eligibility test results
AsyncTask status
errorokpendingReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ connectivity/ eligibility/ test/ building/ partners \
-H "authorization: Bearer $OVH_TOKEN"{ "error": "string", "result": { "eligibilityReference": "string", "endpoint": { "address": { "building": "string", "city": "string", "door": "string", "floor": "string", "housingComplex": "string", "inseeCode": "string", "ownerName": "string", "stairs": "string", "streetCode": "string", "streetName": "string", "streetNumber": "string", "zipCode": "string" }, "copperInfo": { "availablePairs": 0, "maxAvailablePairs": 0, "nra": "string", "sectionsLengths": [ { "diameter": 0, "length": 0 } ], "status": "active", "underConstruction": true, "unlistedNumber": true }, "fiberInfo": { "buildingName": "string", "buildingReference": "string", "buildingType": "BUILDING", "latitude": "string", "longitude": "string", "nro": "string", "operatorCode": "string", "operatorName": "string", "pmReference": "string" }, "portability": { "eligibility": { "eligible": true, "reasons": [ { "availabilityDate": null, "code": null, "message": null } ], "underConditions": [ { "availabilityDate": null, "code": null, "message": null } ] }, "quarantineEndDate": "2024-01-01T12:00:00Z", "type": "portin" }, "reference": "string", "referenceType": "address" }, "offers": [ { "eligibility": { "activationTypes": [ "activate" ], "eligible": true, "estimatedDownloadRate": 0, "estimatedUploadRate": 0, "multiOtp": true, "reasons": [ { "availabilityDate": null, "code": null, "message": null } ], "underConditions": [ { "availabilityDate": null, "code": null, "message": null } ] }, "product": { "code": "string", "downloadRate": 0, "grt": [ "string" ], "guaranteed": true, "name": "string", "operator": "string", "pairs": 0, "provider": "string", "type": "ADSL", "unbundlingType": "full", "uploadRate": 0 } } ] }, "status": "error"}
Test the eligibility of a copper lineProductionPublic
Starts an eligibility test on a line number, for copper only. Returns an asynchronous task, pending until its result holds the eligibility reference, the endpoint and the eligible offers.
Request body (required)
Line number
Line status
activeinactiveUnique identifier of the street (you can get it with POST /connectivity/eligibility/search/streets)
Street number
Response
Eligibility test results
AsyncTask status
errorokpendingPublic: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ connectivity/ eligibility/ test/ line{ "error": "string", "result": { "eligibilityReference": "string", "endpoint": { "address": { "building": "string", "city": "string", "door": "string", "floor": "string", "housingComplex": "string", "inseeCode": "string", "ownerName": "string", "stairs": "string", "streetCode": "string", "streetName": "string", "streetNumber": "string", "zipCode": "string" }, "copperInfo": { "availablePairs": 0, "maxAvailablePairs": 0, "nra": "string", "sectionsLengths": [ { "diameter": 0, "length": 0 } ], "status": "active", "underConstruction": true, "unlistedNumber": true }, "fiberInfo": { "buildingName": "string", "buildingReference": "string", "buildingType": "BUILDING", "latitude": "string", "longitude": "string", "nro": "string", "operatorCode": "string", "operatorName": "string", "pmReference": "string" }, "portability": { "eligibility": { "eligible": true, "reasons": [ { "availabilityDate": null, "code": null, "message": null } ], "underConditions": [ { "availabilityDate": null, "code": null, "message": null } ] }, "quarantineEndDate": "2024-01-01T12:00:00Z", "type": "portin" }, "reference": "string", "referenceType": "address" }, "offers": [ { "eligibility": { "activationTypes": [ "activate" ], "eligible": true, "estimatedDownloadRate": 0, "estimatedUploadRate": 0, "multiOtp": true, "reasons": [ { "availabilityDate": null, "code": null, "message": null } ], "underConditions": [ { "availabilityDate": null, "code": null, "message": null } ] }, "product": { "code": "string", "downloadRate": 0, "grt": [ "string" ], "guaranteed": true, "name": "string", "operator": "string", "pairs": 0, "provider": "string", "type": "ADSL", "unbundlingType": "full", "uploadRate": 0 } } ] }, "status": "error"}
Test the eligibility of a copper line for a partnerProduction
Starts an eligibility test on a line number, for copper only. Reserved for partners. Returns an asynchronous task, pending until its result holds the eligibility reference, the endpoint and the eligible offers.
Request body (required)
Line number
Line status
activeinactiveUnique identifier of the street (you can get it with POST /connectivity/eligibility/search/streets)
Street number
Response
Eligibility test results
AsyncTask status
errorokpendingReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ connectivity/ eligibility/ test/ line/ partners \
-H "authorization: Bearer $OVH_TOKEN"{ "error": "string", "result": { "eligibilityReference": "string", "endpoint": { "address": { "building": "string", "city": "string", "door": "string", "floor": "string", "housingComplex": "string", "inseeCode": "string", "ownerName": "string", "stairs": "string", "streetCode": "string", "streetName": "string", "streetNumber": "string", "zipCode": "string" }, "copperInfo": { "availablePairs": 0, "maxAvailablePairs": 0, "nra": "string", "sectionsLengths": [ { "diameter": 0, "length": 0 } ], "status": "active", "underConstruction": true, "unlistedNumber": true }, "fiberInfo": { "buildingName": "string", "buildingReference": "string", "buildingType": "BUILDING", "latitude": "string", "longitude": "string", "nro": "string", "operatorCode": "string", "operatorName": "string", "pmReference": "string" }, "portability": { "eligibility": { "eligible": true, "reasons": [ { "availabilityDate": null, "code": null, "message": null } ], "underConditions": [ { "availabilityDate": null, "code": null, "message": null } ] }, "quarantineEndDate": "2024-01-01T12:00:00Z", "type": "portin" }, "reference": "string", "referenceType": "address" }, "offers": [ { "eligibility": { "activationTypes": [ "activate" ], "eligible": true, "estimatedDownloadRate": 0, "estimatedUploadRate": 0, "multiOtp": true, "reasons": [ { "availabilityDate": null, "code": null, "message": null } ], "underConditions": [ { "availabilityDate": null, "code": null, "message": null } ] }, "product": { "code": "string", "downloadRate": 0, "grt": [ "string" ], "guaranteed": true, "name": "string", "operator": "string", "pairs": 0, "provider": "string", "type": "ADSL", "unbundlingType": "full", "uploadRate": 0 } } ] }, "status": "error"}
Test the eligibility of an OTPProductionPublic
Starts an eligibility test on an Optical Termination Panel (OTP) identifier, for fiber only. Returns an asynchronous task, pending until its result holds the eligibility reference, the endpoint and the eligible offers.
Request body (required)
OTP (Optical Termination Panel) identifier
Response
Eligibility test results
AsyncTask status
errorokpendingPublic: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ connectivity/ eligibility/ test/ otp{ "error": "string", "result": { "eligibilityReference": "string", "endpoint": { "address": { "building": "string", "city": "string", "door": "string", "floor": "string", "housingComplex": "string", "inseeCode": "string", "ownerName": "string", "stairs": "string", "streetCode": "string", "streetName": "string", "streetNumber": "string", "zipCode": "string" }, "copperInfo": { "availablePairs": 0, "maxAvailablePairs": 0, "nra": "string", "sectionsLengths": [ { "diameter": 0, "length": 0 } ], "status": "active", "underConstruction": true, "unlistedNumber": true }, "fiberInfo": { "buildingName": "string", "buildingReference": "string", "buildingType": "BUILDING", "latitude": "string", "longitude": "string", "nro": "string", "operatorCode": "string", "operatorName": "string", "pmReference": "string" }, "portability": { "eligibility": { "eligible": true, "reasons": [ { "availabilityDate": null, "code": null, "message": null } ], "underConditions": [ { "availabilityDate": null, "code": null, "message": null } ] }, "quarantineEndDate": "2024-01-01T12:00:00Z", "type": "portin" }, "reference": "string", "referenceType": "address" }, "offers": [ { "eligibility": { "activationTypes": [ "activate" ], "eligible": true, "estimatedDownloadRate": 0, "estimatedUploadRate": 0, "multiOtp": true, "reasons": [ { "availabilityDate": null, "code": null, "message": null } ], "underConditions": [ { "availabilityDate": null, "code": null, "message": null } ] }, "product": { "code": "string", "downloadRate": 0, "grt": [ "string" ], "guaranteed": true, "name": "string", "operator": "string", "pairs": 0, "provider": "string", "type": "ADSL", "unbundlingType": "full", "uploadRate": 0 } } ] }, "status": "error"}
Test the eligibility of an OTP for a partnerProduction
Starts an eligibility test on an Optical Termination Panel (OTP) identifier, for fiber only. Reserved for partners. Returns an asynchronous task, pending until its result holds the eligibility reference, the endpoint and the eligible offers.
Request body (required)
OTP (Optical Termination Panel) identifier
Response
Eligibility test results
AsyncTask status
errorokpendingReads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ connectivity/ eligibility/ test/ otp/ partners \
-H "authorization: Bearer $OVH_TOKEN"{ "error": "string", "result": { "eligibilityReference": "string", "endpoint": { "address": { "building": "string", "city": "string", "door": "string", "floor": "string", "housingComplex": "string", "inseeCode": "string", "ownerName": "string", "stairs": "string", "streetCode": "string", "streetName": "string", "streetNumber": "string", "zipCode": "string" }, "copperInfo": { "availablePairs": 0, "maxAvailablePairs": 0, "nra": "string", "sectionsLengths": [ { "diameter": 0, "length": 0 } ], "status": "active", "underConstruction": true, "unlistedNumber": true }, "fiberInfo": { "buildingName": "string", "buildingReference": "string", "buildingType": "BUILDING", "latitude": "string", "longitude": "string", "nro": "string", "operatorCode": "string", "operatorName": "string", "pmReference": "string" }, "portability": { "eligibility": { "eligible": true, "reasons": [ { "availabilityDate": null, "code": null, "message": null } ], "underConditions": [ { "availabilityDate": null, "code": null, "message": null } ] }, "quarantineEndDate": "2024-01-01T12:00:00Z", "type": "portin" }, "reference": "string", "referenceType": "address" }, "offers": [ { "eligibility": { "activationTypes": [ "activate" ], "eligible": true, "estimatedDownloadRate": 0, "estimatedUploadRate": 0, "multiOtp": true, "reasons": [ { "availabilityDate": null, "code": null, "message": null } ], "underConditions": [ { "availabilityDate": null, "code": null, "message": null } ] }, "product": { "code": "string", "downloadRate": 0, "grt": [ "string" ], "guaranteed": true, "name": "string", "operator": "string", "pairs": 0, "provider": "string", "type": "ADSL", "unbundlingType": "full", "uploadRate": 0 } } ] }, "status": "error"}